@charset "utf-8";

/* 企業情報 [ /corporate/ ]
====================================================================== */

/* ===============================================
    pagetitle
=============================================== */

.l-pagetitle {
    padding: 30px 0 50px;
}
.l-pagetitle__title {
    font-size: 4.2rem;
    font-weight: 700;
    line-height: 1.4;
    text-align: center;
}
@media screen and (max-width: 767px) {
    .l-pagetitle {
        padding: 60px 0 35px;
    }
    .l-pagetitle__title {
        font-size: 3.6rem;
    }
}

/* ===============================================
    corporate Main Visual
=============================================== */

.corporate-mv {
    width: 1200px;
    max-width: calc(100% - var(--pc-base-padding) * 2);
    margin-inline: auto;
}
.corporate-mv__image {
    width: 100%;
    height: 100%;
    -o-object-fit: cover;
    object-fit: cover;
    -o-object-position: center;
    object-position: center;
}
@media screen and (max-width: 767px) {
    .corporate-mv {
        max-width: 100%;
    }
}

/* ===============================================
    corporate Lead
=============================================== */

.corporate-lead {
    padding: 60px 0 80px;
}
.corporate-lead__title {
    font-size: 3.2rem;
    font-weight: 700;
    line-height: 1.5;
    color: var(--corp-color);
}
.corporate-lead__text {
    margin-top: 20px;
    font-size: 1.8rem;
    font-weight: 500;
    color: var(--txt-base-color);
}
@media screen and (max-width: 767px) {
    .corporate-lead {
        padding: 45px 0 60px;
    }
    .corporate-lead__title {
        font-size: 2.8rem;
    }
}

/* ===============================================
    corporate-info
=============================================== */

.corporate-info {
    padding: 90px 0;
    background-color: #fff;
}
.corporate-info__row {
    display: grid;
    grid-template-columns: 220px 1fr;
    gap: 60px;
    align-items: center;
    padding: 20px 0;
    border-bottom: 1px solid var(--border-color);
}
.corporate-info__label {
    font-size: 1.6rem;
    font-weight: 500;
    color: var(--txt-base-color);
}
.corporate-info__value {
    font-size: 1.4rem;
    font-weight: 400;
    color: var(--txt-base-color);
    word-break: break-all;
}
.corporate-info__map-group {
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
    align-items: center;
    gap: 15px 40px;
}
.corporate-info__map-btn {
    display: inline-flex;
    align-items: center;
    gap: 20px;
    padding: 14px 20px;
    background-color: #fff;
    border: 1px solid var(--corp-color);
    border-radius: 6px;
    text-decoration: none;
    color: var(--txt-base-color);
    transition: all 0.3s ease-out;
    flex-shrink: 0;
    min-width: 150px;
    justify-content: center;
}
.corporate-info__map-btn-text {
    font-size: 1.4rem;
    font-weight: 400;
    color: var(--corp-color);
}
.corporate-info__map-btn-arrow {
    position: relative;
    width: 18px;
    height: 16px;
}
.corporate-info__map-btn-arrow::before,
.corporate-info__map-btn-arrow::after {
    content: "";
    position: absolute;
    top: calc(50% - 0.5px);
    right: 0;
    width: 0.575em;
    height: 1px;
    border-radius: 9999px;
    background-color: var(--txt-base-color);
    transform-origin: calc(100% - 0.5px) 50%;
}
.corporate-info__map-btn-arrow::before {
    transform: rotate(53deg);
}
.corporate-info__map-btn-arrow::after {
    transform: rotate(-53deg);
}
@media screen and (max-width: 767px) {
    .corporate-info {
        padding: 40px 0 80px;
    }
    .corporate-info__row {
        grid-template-columns: 1fr;
        gap: 10px;
        padding: 30px 0;
    }
    .corporate-info__label {
        font-size: 1.8rem;
        font-weight: 500;
    }
    .corporate-info__value {
        font-size: 1.6rem;
    }
    .corporate-info__map-group {
        display: flex;
        flex-direction: column;
        gap: 20px;
    }
    .corporate-info__map-group > span {
        width: 100%;
    }
    .corporate-info__map-btn {
        gap: 10px;
        width: 100%;
    }
    .corporate-info__map-btn-text {
        font-size: 1.6rem;
        font-weight: 500;
    }
    .corporate-info__map-btn-arrow {
        position: relative;
        width: 18px;
        height: 16px;
    }
}
@media (hover: hover) {
    .corporate-info__map-btn:hover {
        background-color: var(--corp-color);
        border-color: var(--corp-color);
    }
    .corporate-info__map-btn:hover .corporate-info__map-btn-text {
        color: #fff;
    }
    .corporate-info__map-btn:hover .corporate-info__map-btn-arrow::before,
    .corporate-info__map-btn:hover .corporate-info__map-btn-arrow::after {
        background-color: #fff;
    }
}

/* --- */
